Subject: Re: [X2Go-Dev] Bug#757: Segfault of QDialog in a PyQt application

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 May 2015 13:33:26 +0000

Control: forcemerge #875 -1

Hi Olivier,

On  Do 22 Jan 2015 15:47:12 CET, PAILLAT Olivier SOPRA GROUP wrote:

> Hello,
>
> Thank you for your answer.
> I have made a simple python application (see the tar.gz attached)  
> that reproduce the problem
> You will need PyQt4 to run it
>
> The command is simple
> python gui.py
>
> if it work it open a QDialog nearly empty
> If you reproduce the bug you will end with a segmentation fault with  
> a very brief QDialog opening
>
> Actually we have some doubts about our environment and we won't be  
> surprised if you don't reproduce the bug with your PyQt4
> But we want to close some of the paths of explanation of our bug and  
> since it occurs only with X2Go we submit it to you
>
> Regards

Sorry for getting back so late. We are currently working on the  
nx-libs 3.6.x release and I have just tested your GUI example under  
the development version of nx-libs.

The issue seems to be fixed there. I will merge this bug into #875  
which is the tracking bug for the nx-libs 3.6.x upgrade in X2Go.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb